Subject: [Gen-art] Gen-ART LC review of draft-melnikov-smtp-priority-09

From: "Roni Even" <[email-masked]>
Date: Tue, 13 Mar 2012 21:25:14 +0200

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you
may receive.

Document: draft-melnikov-smtp-priority-09

Reviewer: Roni Even

Review Date:2012-3-13

IETF LC End Date: 2012-3-28

IESG Telechat date:

Summary: This draft is almost ready for publication as a standard track RFC.

Major issues:

Minor issues:

1.       In section 4.2  "In absence of both the MT-PRIORITY MAIL FROM
parameter  and the MT-Priority header field, other message header fields,
such  as Priority [RFC2156] and X-Priority, MAY be used for determining the
priority under this "Priority Message Handling" SMTP extension." .      My
understanding  from the third bullet in this section is that for this case
the message priority is "0" so I am not clear what this sentence means and
why is there a  difference if the MT-PRIORITY or MT-Priority values do exist
with regards to "Priority" and "X-Priority" for this case.

2.       In section 8 "MT-PRIORITY=3". I did not see where the MT-PRIORITY
SMTP  extension is specified and has the syntax of using "=" before the
value.

Nits/editorial comments:

1.       MUA is used in section 1 but expanded only in section 5. 

2.       Some typos in section 5. "syntatically - syntactically" "prioritiy
- priority" "comminicate - communicate" "contraints -constraints"

3.       In section 10 for X.3.TBD3 "Description:  The message mas accepted"
I assume you meant "was"

4.       In section D.2 first paragraph some typos "focusses -focuses"
"comparision - comparison"

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 19 Mar 2012 18:29:22 +0000

Hi Roni,
Thank you for your review.

On 13/03/2012 19:25, Roni Even wrote:
> Please resolve these comments along with any other Last Call comments 
> you may receive.
>
> Review Date:2012--3--13
> IETF LC End Date: 2012--3--28
>
> IESG Telechat date:
>
> 1.In section 4.2  "In absence of both the MT-PRIORITY MAIL FROM 
> parameter  and the MT-Priority header field, other message header 
> fields, such  as Priority [RFC2156] and X-Priority, MAY be used for 
> determining the  priority under this "Priority Message Handling" SMTP 
> extension." .      My understanding  from the third bullet in this 
> section is that for this case the message priority is "0" so I am not 
> clear what this sentence means
>
Ah, good catch. The text should be another bullet point in the list.
>
> and why is there a  difference if the MT-PRIORITY or MT-Priority 
> values do exist with regards to "Priority" and "X-Priority" for this case.
>
Basically there are existing header fields with similar semantics 
already in use, so people want to use them as the last resort.
There was a bit of a debate about specific header fields during the IETF 
LC, so this text will hopefully be improved after the debate.
>
> 2.In section 8 "MT-PRIORITY=3". I did not see where the MT-PRIORITY 
> SMTP  extension is specified and has the syntax of using "=" before 
> the value.
>
This is described by the following text in Section 3:

       One optional parameter ("MT-PRIORITY") is added to the
       MAIL FROM command. The value associated with this parameter is
       a decimal integer number from -9 to 9 (inclusive)
       indicating the priority of the email message.  The syntax of

In SMTP parameter values are separated with "=" from the corresponding 
parameter names.
>
> Nits/editorial comments:
>
> 1.MUA is used in section 1 but expanded only in section 5.
>
> 2.Some typos in section 5. "syntatically -- syntactically" "prioritiy 
> -- priority" "comminicate -- communicate" "contraints --constraints"
>
> 3.In section 10 for X.3.TBD3 "Description:  The message mas accepted" 
> I assume you meant "was"
>
> 4.In section D.2 first paragraph some typos "focusses --focuses" 
> "comparision -- comparison"
>
All of these fixed in my copy, thanks!

Best Regards,
Alexey